# This script will set a Syslog Server all all ESXi hosts within a vCenter once connected.
# Seems to run a little more cleaner with this cmdlet and doesn't ask for confirmation
# Created by Jeremy Wheeler
# 01/17/2018

param($Server,$User,$Password,$ClusterN,$SysLogN)
Connect-VIserver -Server $Server -User $User -Password $Password
$sys = 'udp://' + $SysLogN + ':514'
$cl = get-cluster $ClusterN| get-vmhost
foreach($h in $cl){
   Set-VMHostSysLogServer -VMHost $h.name -SysLogServer $sys
   Write-Host 'vSphere Host: ' $h.name
   $syslog = Get-VMHostFirewallException -name ‘syslog’ -vmhost $h.name
   $syslog | Set-VMHostFirewallException -Enabled:$true
}
